diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 6bb3831..0c545ea 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -365,28 +365,30 @@ of effort. We would like to acknowledge and thank the following people:
 "Johannes Grabmeier     Matt Grayson           Klaus Ebbe Grue"
 "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer"
 "Jocelyn Guidry"
-"Steve Hague            Satoshi Hamaguchi      Mike Hansen"
-"Richard Harke          Bill Hart              Vilya Harvey"
-"Martin Hassner         Arthur S. Hathaway     Dan Hatton"
-"Waldek Hebisch         Karl Hegbloom          Ralf Hemmecke"
-"Henderson              Antoine Hersen         Gernot Hueber"
+"Gaetan Hache           Steve Hague            Satoshi Hamaguchi"
+"Mike Hansen            Richard Harke          Bill Hart"
+"Vilya Harvey           Martin Hassner         Arthur S. Hathaway"
+"Dan Hatton             Waldek Hebisch         Karl Hegbloom"
+"Ralf Hemmecke          Henderson              Antoine Hersen"
+"Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Ted Kosan              Paul Kosinski          Klaus Kusche"
 "Bernhard Kutzler"
-"Tim Lahey              Larry Lambe            Franz Lehner"
-"Frederic Lehobey       Michel Levaud          Howard Levy"
-"Liu Xiaojun            Rudiger Loos           Michael Lucks"
-"Richard Luczak"
+"Tim Lahey              Larry Lambe            Kaj Laurson"
+"Franz Lehner           Frederic Lehobey       Michel Levaud"
+"Howard Levy            Liu Xiaojun            Rudiger Loos"
+"Michael Lucks          Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
 "Mohammed Mobarak       H. Michael Moeller     Michael Monagan"
 "Marc Moreno-Maza       Scott Morrison         Joel Moses"
 "Mark Murray"
-"William Naylor         C. Andrew Neff         John Nelder"
-"Godfrey Nolan          Arthur Norman          Jinzhong Niu"
+"William Naylor         Patrice Naudin         C. Andrew Neff"
+"John Nelder            Godfrey Nolan          Arthur Norman"
+"Jinzhong Niu"
 "Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou"
 "Humberto Ortiz-Zuazaga"  
 "Julian A. Padget       Bill Page              Susan Pelzel"
diff --git a/changelog b/changelog
index 0bfce82..33bbb85 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,11 @@
+20100527 tpd src/axiom-website/patches.html 20100527.02.tpd.patch
+20100527 tpd src/input/unittest1.input unit test credits list
+20100527 tpd readme add Naudin, Laurson, Hache to credits
+20100527 tpd books/bookvol5 add Naudin, Laurson, Hache to credits
+20100527 pxn Patrice Naudin <naudin@mathlabo.univ-poiters.fr>
+20100527 cxq Claude Quitte <quitte@mathlabo.univ-poiters.fr>
+20100527 kxl Kaj Laurson
+20100527 gxh Gaetan Hache <gaetan.hache@inria.fr>
 20100527 tpd src/axiom-website/patches.html 20100527.01.tpd.patch
 20100527 tpd Makefile merge all fedoraN stanzas into fedora
 20100526 tpd src/axiom-website/patches.html 20100526.01.tpd.patch
diff --git a/readme b/readme
index 06b936c..cbfb1f9 100644
--- a/readme
+++ b/readme
@@ -219,28 +219,30 @@ at the axiom command prompt will prettyprint the list.
 "Johannes Grabmeier     Matt Grayson           Klaus Ebbe Grue"
 "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer"
 "Jocelyn Guidry"
-"Steve Hague            Satoshi Hamaguchi      Mike Hansen"
-"Richard Harke          Bill Hart              Vilya Harvey"
-"Martin Hassner         Arthur S. Hathaway     Dan Hatton"
-"Waldek Hebisch         Karl Hegbloom          Ralf Hemmecke"
-"Henderson              Antoine Hersen         Gernot Hueber"
+"Gaetan Hache           Steve Hague            Satoshi Hamaguchi"
+"Mike Hansen            Richard Harke          Bill Hart"
+"Vilya Harvey           Martin Hassner         Arthur S. Hathaway"
+"Dan Hatton             Waldek Hebisch         Karl Hegbloom"
+"Ralf Hemmecke          Henderson              Antoine Hersen"
+"Gernot Hueber"
 "Pietro Iglio"
 "Alejandro Jakubi       Richard Jenks"
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Ted Kosan              Paul Kosinski          Klaus Kusche"
 "Bernhard Kutzler"
-"Tim Lahey              Larry Lambe            Franz Lehner"
-"Frederic Lehobey       Michel Levaud          Howard Levy"
-"Liu Xiaojun            Rudiger Loos           Michael Lucks"
-"Richard Luczak"
+"Tim Lahey              Larry Lambe            Kaj Laurson"
+"Franz Lehner           Frederic Lehobey       Michel Levaud"
+"Howard Levy            Liu Xiaojun            Rudiger Loos"
+"Michael Lucks          Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
 "Mohammed Mobarak       H. Michael Moeller     Michael Monagan"
 "Marc Moreno-Maza       Scott Morrison         Joel Moses"
 "Mark Murray"
-"William Naylor         C. Andrew Neff         John Nelder"
-"Godfrey Nolan          Arthur Norman          Jinzhong Niu"
+"William Naylor         Patrice Naudin         C. Andrew Neff"
+"John Nelder            Godfrey Nolan          Arthur Norman"
+"Jinzhong Niu"
 "Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou"
 "Humberto Ortiz-Zuazaga"  
 "Julian A. Padget       Bill Page              Susan Pelzel"
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c21cae3..1b7f6ec 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2806,6 +2806,8 @@ books/bookvol5 fix )describe to accept abbreviations<br/>
 src/input/paff.input test cases for PAFF package<br/>
 *.daase updated for PAFF<br/>
 <a href="patches/20100527.01.tpd.patch">20100527.01.tpd.patch</a>
-Makefile merge all fedoraN stanzas into fedora
+Makefile merge all fedoraN stanzas into fedora<br/>
+<a href="patches/20100527.02.tpd.patch">20100527.02.tpd.patch</a>
+books/bookvol5 add Naudin, Laurson, Hache to credits<br/>
  </body>
 </html>
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index cb07077..e3ac022 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -272,55 +272,59 @@ Unit test the user level commands
 --RRichard Anderson       George Andrews         S.J. Atkins
 --RHenry Baker            Stephen Balzac         Yurij Baransky
 --RDavid R. Barton        Gerald Baumgartner     Gilbert Baumslag
---RJay Belanger           David Bindel           Fred Blair
---RVladimir Bondarenko    Mark Botch
---RAlexandre Bouyer       Peter A. Broadbery     Martin Brock
---RManuel Bronstein       Stephen Buchwald       Florian Bundschuh
---RLuanne Burns           William Burge
+--RMichael Becker         Nelson H. F. Beebe     Jay Belanger
+--RDavid Bindel           Fred Blair             Vladimir Bondarenko
+--RMark Botch             Alexandre Bouyer       Peter A. Broadbery
+--RMartin Brock           Manuel Bronstein       Stephen Buchwald
+--RFlorian Bundschuh      Luanne Burns           William Burge
 --RQuentin Carpent        Robert Caviness        Bruce Char
 --ROndrej Certik          Cheekai Chin           David V. Chudnovsky
 --RGregory V. Chudnovsky  Josh Cohen             Christophe Conil
 --RDon Coppersmith        George Corliss         Robert Corless
 --RGary Cornell           Meino Cramer           Claire Di Crescenzo
 --RDavid Cyganski
---RTimothy Daly Sr.       Timothy Daly Jr.       James H. Davenport
---RDidier Deshommes       Michael Dewar
+--RNathaniel Daly         Timothy Daly Sr.       Timothy Daly Jr.
+--RJames H. Davenport     Didier Deshommes       Michael Dewar
 --RJean Della Dora        Gabriel Dos Reis       Claire DiCrescendo
---RSam Dooley             Lionel Ducos           Martin Dunstan
---RBrian Dupee            Dominique Duval
+--RSam Dooley             Lionel Ducos           Lee Duhem
+--RMartin Dunstan         Brian Dupee            Dominique Duval
 --RRobert Edwards         Heow Eide-Goodman      Lars Erickson
 --RRichard Fateman        Bertfried Fauser       Stuart Feldman
---RBrian Ford             Albrecht Fortenbacher  George Frances
---RConstantine Frangos    Timothy Freeman        Korrinn Fu
+--RJohn Fletcher          Brian Ford             Albrecht Fortenbacher
+--RGeorge Frances         Constantine Frangos    Timothy Freeman
+--RKorrinn Fu
 --RMarc Gaetano           Rudiger Gebauer        Kathy Gerber
 --RPatricia Gianni        Samantha Goldrich      Holger Gollan
 --RTeresa Gomez-Diaz      Laureano Gonzalez-Vega Stephen Gortler
 --RJohannes Grabmeier     Matt Grayson           Klaus Ebbe Grue
 --RJames Griesmer         Vladimir Grinberg      Oswald Gschnitzer
 --RJocelyn Guidry
---RSteve Hague            Satoshi Hamaguchi      Mike Hansen
---RRichard Harke          Vilya Harvey           Martin Hassner
---RArthur S. Hathaway     Dan Hatton             Waldek Hebisch
---RKarl Hegbloom          Ralf Hemmecke          Henderson
---RAntoine Hersen         Gernot Hueber
+--RGaetan Hache           Steve Hague            Satoshi Hamaguchi
+--RMike Hansen            Richard Harke          Bill Hart
+--RVilya Harvey           Martin Hassner         Arthur S. Hathaway
+--RDan Hatton             Waldek Hebisch         Karl Hegbloom
+--RRalf Hemmecke          Henderson              Antoine Hersen
+--RGernot Hueber
 --RPietro Iglio
 --RAlejandro Jakubi       Richard Jenks
 --RKai Kaminski           Grant Keady            Tony Kennedy
---RPaul Kosinski          Klaus Kusche           Bernhard Kutzler
---RTim Lahey              Larry Lambe            Franz Lehner
---RFrederic Lehobey       Michel Levaud          Howard Levy
---RLiu Xiaojun            Rudiger Loos           Michael Lucks
---RRichard Luczak
+--RTed Kosan              Paul Kosinski          Klaus Kusche
+--RBernhard Kutzler
+--RTim Lahey              Larry Lambe            Kaj Laurson
+--RFranz Lehner           Frederic Lehobey       Michel Levaud
+--RHoward Levy            Liu Xiaojun            Rudiger Loos
+--RMichael Lucks          Richard Luczak
 --RCamm Maguire           Francois Maltey        Alasdair McAndrew
 --RBob McElrath           Michael McGettrick     Ian Meikle
 --RDavid Mentre           Victor S. Miller       Gerard Milmeister
 --RMohammed Mobarak       H. Michael Moeller     Michael Monagan
 --RMarc Moreno-Maza       Scott Morrison         Joel Moses
 --RMark Murray
---RWilliam Naylor         C. Andrew Neff         John Nelder
---RGodfrey Nolan          Arthur Norman          Jinzhong Niu
+--RWilliam Naylor         Patrice Naudin         C. Andrew Neff
+--RJohn Nelder            Godfrey Nolan          Arthur Norman
+--RJinzhong Niu
 --RMichael O'Connor       Summat Oemrawsingh     Kostas Oikonomou
---RHumberto Ortiz-Zuazaga
+--RHumberto Ortiz-Zuazaga  
 --RJulian A. Padget       Bill Page              Susan Pelzel
 --RMichel Petitot         Didier Pinchon         Ayal Pinkus
 --RJose Alfredo Portes
@@ -331,13 +335,13 @@ Unit test the user level commands
 --RMichael Rothstein      Martin Rubey
 --RPhilip Santas          Alfred Scheerhorn      William Schelter
 --RGerhard Schneider      Martin Schoenert       Marshall Schor
---RFrithjof Schulze       Fritz Schwarz          Nick Simicich
---RWilliam Sit            Elena Smirnova         Jonathan Steinbach
---RFabio Stumbo           Christine Sundaresan   Robert Sutor
---RMoss E. Sweedler       Eugene Surowitz
+--RFrithjof Schulze       Fritz Schwarz          Steven Segletes
+--RNick Simicich          William Sit            Elena Smirnova
+--RJonathan Steinbach     Fabio Stumbo           Christine Sundaresan
+--RRobert Sutor           Moss E. Sweedler       Eugene Surowitz
 --RMax Tegmark            James Thatcher         Balbir Thomas
---RMike Thomas            Dylan Thurston         Barry Trager
---RThemos T. Tsikas
+--RMike Thomas            Dylan Thurston         Steve Toleque
+--RBarry Trager           Themos T. Tsikas
 --RGregory Vanuxem
 --RBernhard Wall          Stephen Watt           Jaap Weel
 --RJuergen Weiss          M. Weller              Mark Wegman
